<?php defined('BASEPATH') OR exit('No direct script access allowed');
class Admin extends CI_Controller{

  // Constructor to autoload necessary files
  public function __construct()
  {
    require_once APPPATH."controllers/inc/autoload/home.php";
  }  

  // Index page for admin dashboard
  public function index()
  {
    require_once APPPATH."controllers/inc/home/index.php";
  }
  
  // Dashboard for subjects
  public function subjectsDashboard()
  {
    require_once APPPATH."controllers/inc/subject/subjectsDashboard.php";
  }

  // Save new subject data
  public function saveSubject()
  {
    require_once APPPATH."controllers/inc/subject/save.php";
  }

  // Update subject data
  public function updateSubject()
  {
    require_once APPPATH."controllers/inc/subject/update.php";
  }

  // Delete a subject
  public function deleteSubject($id = null)
  {
    require_once APPPATH."controllers/inc/subject/delete.php";
  }
  
  // Dashboard for teachers
  public function teachersDashboard()
  {
    require_once APPPATH."controllers/inc/teacher/dashboard.php";
  }

  // Page to add a new teacher
  public function addTeacher()
  {
    require_once APPPATH."controllers/inc/teacher/add.php";
  }

  // Page to edit a teacher
  public function editTeacher($id=null)
  {
    require_once APPPATH."controllers/inc/teacher/edit.php";
  }

  // Save new teacher data
  public function saveTeacher()
  {
    require_once APPPATH."controllers/inc/teacher/save.php";
  }

  // Update teacher data
  public function updateTeacher()
  {
    require_once APPPATH."controllers/inc/teacher/update.php";
  }

  // Delete a teacher
  public function deleteTeacher($id = null)
  {
    require_once APPPATH."controllers/inc/teacher/delete.php";
  }

  // Dashboard for students
  public function studentsDashboard()
  {
    require_once APPPATH."controllers/inc/student/dashboard.php";
  }

  // Page to add a new student
  public function addStudent()
  {
    require_once APPPATH."controllers/inc/student/add.php";
  }

  // Page to edit a student
  public function editStudent($id=null)
  {
    require_once APPPATH."controllers/inc/student/edit.php";
  }

  // Save new student data
  public function saveStudent()
  {
    require_once APPPATH."controllers/inc/student/save.php";
  }

  // Update student data
  public function updateStudent()
  {
    require_once APPPATH."controllers/inc/student/update.php";
  }

  // Delete a student
  public function deleteStudent($id = null)
  {
    require_once APPPATH."controllers/inc/student/delete.php";
  }

  // Page to manage class numbers
  public function classesNumber()
  {
    require_once APPPATH."controllers/inc/class/classesNumber.php";
  }

  // Save class number
  public function saveClassNumber() {
    require_once APPPATH."controllers/inc/class/function.php";
  }

  // Update class number
  public function updateClassNumber() {
    require_once APPPATH."controllers/inc/class/function.php";
  }

  // Delete class number
  public function deleteClassNumber($id=null) {
    require_once APPPATH."controllers/inc/class/function.php";
  }

  // Page to manage class sections
  public function classesSections()
  {
    require_once APPPATH."controllers/inc/class/classesSections.php";
  }

  // Save class section
  public function saveClassSection()
  {
    require_once APPPATH."controllers/inc/class/saveClassSection.php";
  }

  // Update class section
  public function updateClassSection()
  {
    require_once APPPATH."controllers/inc/class/updateClassSection.php";
  }

  // Delete class section
  public function deleteClassSection($id = null)
  {
    require_once APPPATH."controllers/inc/class/deleteClassSection.php";
  }

  // Page to manage classes
  public function manageClass()
  {
    require_once APPPATH."controllers/inc/class/manageClass.php";
  }

  // Save class data
  public function saveClass()
  {
    require_once APPPATH."controllers/inc/class/saveClass.php";
  }

  // Update class data
  public function updateClass()
  {
    require_once APPPATH."controllers/inc/class/updateClass.php";
  }

  // Delete a class
  public function deleteClass($id = null)
  {
    require_once APPPATH."controllers/inc/class/deleteClass.php";
  }

  // Admin Misc. Methods
  // Logout function
  public function logout()
  {
    require_once APPPATH."controllers/inc/misc/logout.php";
  }

  // Change admin password page
  public function changeAdminPassword()
  {
    require_once APPPATH."controllers/inc/misc/changeAdminPassword.php";
  }

  // Update admin profile page
  public function updateAdminProfile()
  {
    require_once APPPATH."controllers/inc/misc/updateAdminProfile.php";
  }

  // Database management page
  public function db()
  {
    require_once APPPATH."controllers/inc/misc/db.php";
  }

  // Update settings page
  public function updateSettings($name = null)
  {
    require_once APPPATH."controllers/inc/misc/updateSettings.php";
  }

  // Save updated settings
  public function saveUpdateSetting()
  {
    require_once APPPATH."controllers/inc/misc/saveUpdateSetting.php";
  }

  // Upload logo page
  public function uploadLogo()
  {
    require_once APPPATH."controllers/inc/misc/uploadLogo.php";
  }

  // Update social links page
  public function updateSocialLink()
  {
    require_once APPPATH."controllers/inc/misc/updateSocialLink.php";
  }

  // Summernote Editor Uploader function
  public function uploadImage()
  {
    require_once APPPATH."controllers/inc/misc/uploadImage.php";
  }

  // Manage page SEO
  public function managePageSeo($pid=null)
  {
    require_once APPPATH."controllers/inc/misc/managePageSeo.php";
  }

  // Update page SEO data
  public function updatePageSEO()
  {
    require_once APPPATH."controllers/inc/misc/updatePageSEO.php";
  }

  // Delete checked item
  public function deleteCheckedItem()
  {
    require_once APPPATH."controllers/inc/misc/deleteCheckedItem.php";
  }
}
?>