<?php 
if ($this->input->server('REQUEST_METHOD') === 'POST') {
  $teacherArray = array(
    'first_name' => $this->input->post('first_name'),
    'last_name' => $this->input->post('last_name'),
    'email' => $this->input->post('email'),
    'phone_number' => $this->input->post('phone_number'),
    'address' => $this->input->post('address'),
    'subject_taught' => $this->input->post('subject_taught'),
    'qualification' => $this->input->post('qualification'),
    'joining_date' => $this->input->post('joining_date'),
    'experience_years' => $this->input->post('experience_years'),
    'gender' => $this->input->post('gender'),
    'date_of_birth' => $this->input->post('date_of_birth'),
    'added' => date('Y-m-d H:i:s')
    // Add more fields as needed
  );
  // Perform your validation checks or additional logic as needed
  // For example, check for duplicate email
  if ($this->crud->getCount('teachers', 'email', $teacherArray['email']) > 0) {
    $this->session->set_flashdata('type', 'error');
    $this->session->set_flashdata('title', 'Duplicate Email!');
    $this->session->set_flashdata('msg', 'Unable to save the details due to duplicate email!');
    return redirect(base_url('admin/addTeacher.php'));
  }
  // Handle file uploads or other data processing here
  // Save data using the Crud model
  if ($this->crud->save('teachers', $teacherArray, true)) {
    $this->session->set_flashdata('type', 'success');
    $this->session->set_flashdata('title', 'Details Saved!');
    $this->session->set_flashdata('msg', 'The details have been saved successfully.');
  } else {
    $this->session->set_flashdata('type', 'error');
    $this->session->set_flashdata('title', 'Error Occurred!');
    $this->session->set_flashdata('msg', 'Unable to process the request!');
  }
  return redirect(base_url('admin/teachersDashboard.php'));
} else {
  $this->session->set_flashdata('type', 'error');
  $this->session->set_flashdata('title', 'Error');
  $this->session->set_flashdata('msg', 'No direct script access allowed.');
  return redirect(base_url('admin.php'));
}
 ?>