<?php
class Crud extends CI_Model
{
	public function getDataAll($table, $orderByCol = null, $order = null, $limit = null)
	{
		$this->db->from($table);
		if (isset($orderByCol) && isset($order)) {
			$this->db->order_by($orderByCol, $order);
		}
		if ($limit != null) {
			$this->db->limit($limit);
		}
		$query = $this->db->get();
		$result = $query->result();
		return $result;
	}
	public function getUniqueAll($table, $colName = null)
	{
		$this->db->select('*');
		$this->db->group_by($colName);
		$this->db->from($table);
		$query = $this->db->get();
		return $query->result();
	}
	public function getDataSingle($table, $id, $idname = null, $all = null, $pageName = null, $location_city = null)
	{
		$this->db->from($table);
		if ($pageName != null) {
			$this->db->where('pageName', $pageName);
		}
		if ($idname != null) {
			$this->db->where($idname, $id);
		} else {
			$this->db->where('id', $id);
		}
		if ($location_city != null) {
			$this->db->like('product_delivery_locations', $location_city, 'both');
		}
		$query = $this->db->get();
		if ($all == true) {
			$result = $query->result();
		} else {
			$result = $query->row();
		}
		return $result;
	}
	public function getSetting($settingName)
	{
		$this->db->from('settings');
		$this->db->where('name', $settingName);
		$query = $this->db->get();
		return $query->row()->value;
	}
	public function save($table, $data, $getId)
	{
		if ($this->db->insert($table, $data)) {
			if ($getId == true) {
				return $this->db->insert_id();
			} else if ($getId == false) {
				return true;
			}
		} else {
			return false;
		}
	}
	public function update($table, $idkey, $id, $data)
	{
		$this->db->where($idkey, $id);
		if ($this->db->update($table, $data)) {
			return true;
		} else {
			return false;
		}
	}
	public function delete($table, $idkey, $id)
	{
		$from_tbl = $table;
		$to_tbl = $table.'_deleted';
		$row = $this->db->get_where($from_tbl, array($idkey => $id))->row_array();
		// if ($this->db->insert($to_tbl, $row) && $this->db->delete($from_tbl, array($idkey => $id))) {
		if ($this->db->delete($from_tbl, array($idkey => $id))) {
			return true;
		} else {
			return false;
		}
	}
	public function save_upload($title, $image)
	{
		$data = array(
			'title'     => $title,
			'file'      => $image
		);
		$result = $this->db->insert('media', $data);
		return $result;
	}
	public function getCountAll($table)
	{
		return $this->db->count_all($table);
	}
	public function getCountAllUnique($table, $colName)
	{
		$this->db->group_by($colName);
		$this->db->from($table);
		return $this->db->count_all_results();
	}
	public function getMatchedCount($table, $query, $colName)
	{
		// $this->db->group_by($colName);
		$this->db->from($table);
		$this->db->like($colName, $query, 'both');
		return $this->db->count_all_results();
	}
	public function getCount($table, $colName, $colVal)
	{
		return $this->db->where($colName, $colVal)->count_all_results($table);
	}
	public function verify_user($username, $password, $remember=false)
	{
		$this->db->where('username', $username);
		$this->db->where('password', $password);
		$query = $this->db->get('su');
		if ($query->num_rows() == 1)
		{
			if ($remember == true) {
				$cookie = array(
					'name'          => 'rm',
					'value'         => hashed($username),
					'expire'        => 86500,
					'domain'        => 'oneandallservices.in',
					'path'          => '/',
					'prefix'        => 'chatbot_',
					'secure'        => TRUE,
					'samesite'      => 'Strict'
				);
				$this->input->set_cookie($cookie);
			}
			return true;
		} else {
			return false;
		}
	}
	public function verify_logged_in_user($username, $password)
	{
		$this->db->where('eid', $username);
		$this->db->where('password', $password);
		$query = $this->db->get('users');
		if ($query->num_rows() > 0)
		{
			return true;
		} else {
			return false;
		}
	}
	public function move_row($id, $from_tbl, $to_tbl) 
	{
		// Retrieve the row to be moved
		$row = $this->db->get_where($from_tbl, array('id' => $id))->row_array();
		// Insert the row into the destination table
		$this->db->insert($to_tbl, $row);
		// Delete the row from the original table (optional)
		$this->db->delete($from_tbl, array('id' => $id));
	}
	public function getAllUsers($type = null, $singleRow = null)
	{
		$this->db->from('users');
		if ($type != null && $type != 'both') {
			$this->db->where('type', $type);
		}
		$this->db->order_by('id', 'DESC');
		$query = $this->db->get();
		if (!empty($singleRow) && $singleRow == true) {
			$result = $query->row();
		} else {
			$result = $query->result();
		}
		return $result;
	}
	public function deleteFF($path) 
	{
		unlink($path);
		return true;
	}
	public function get_random_tours($limit = 16)
	{
		$this->db->order_by('RAND()');
		$this->db->limit($limit);
		$query = $this->db->get('tours');
		return $query->result();
	}
	public function get_random_posts($limit = 4)
	{
		$this->db->order_by('RAND()');
		$this->db->limit($limit);
		$query = $this->db->get('blog_post');
		return $query->result();
	}
	
	
	
}



