<!-- Content -->
<div class="container-xxl flex-grow-1 container-p-y">
  <!-- Card layout -->
  <div class="row mb-5">
    <div class="col-12 mb-3">
      <div class="nav-align-top">
        <ul class="nav nav-tabs" role="tablist">
          <li class="nav-item">
            <button type="button" class="nav-link active" role="tab" data-bs-toggle="tab" data-bs-target="#navs-top-add" aria-controls="navs-top-add" aria-selected="false">
              <i class="menu-icon tf-icons bx bx-plus"></i> Add Hotel
            </button>
            <li class="nav-item">
              <a href="<?=base_url('admin/hotels.php')?>" class="nav-link">
                <i class="menu-icon tf-icons bx bx-hotel"></i> All Hotels
              </a>
            </li>
          </li>
        </ul>
        <div class="tab-content">
          <div class="tab-pane fade show active" id="navs-top-add" role="tabpanel">
            <?=form_open_multipart(base_url('admin/saveHotel.php')) ?>
            <div class="row">
              <div class="col-md-6">
                <div class="row mb-3">
                  <label class="col-sm-12 col-form-label" for="name">
                    <i class='bx bx-rename'></i>  Hotel Name
                  </label>
                  <div class="col-sm-12">
                    <div class="input-group input-group-merge">
                      <input type="text" class="form-control" id="name" name="name" placeholder="Enter hotel name..." onkeyup="hotel2u('name')" />
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-md-6">
                <div class="row mb-3">
                  <label class="col-sm-12 col-form-label" for="uri">
                    <i class='bx bx-link-external' ></i>  Hotel ID
                  </label>
                  <div class="col-sm-12">
                    <div class="input-group input-group-merge">
                      <input type="text" class="form-control" id="uri" name="uri" placeholder="Enter hotel uri..." onkeyup="hotel2u('uri')" aria-label="uri" aria-describedby="uri" />
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-md-6">
                <div class="row mb-3">
                  <label class="col-sm-12 col-form-label" for="thumbnail">
                    <i class='bx bx-image' ></i> Hotel Thumbnail Image
                  </label>
                  <div class="col-sm-12">
                    <div class="input-group input-group-merge">
                      <div class="input-group mb-3">
                        <input type="file" name="thumbnail" class="form-control" id="thumbnail" accept="image/*" onchange="showPreview(event,'thumbnailPreview');">
                      </div>
                    </div>
                  </div>
                  <div class="col-sm-12">
                    <div class="card border-0">
                      <img  class="img-thumbnail shadow" style="width:100%;margin:auto;object-fit:contain;" id="thumbnailPreview" />
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-md-6">
                <div class="row mb-3">
                  <label class="col-sm-12 col-form-label" for="cover">
                    <i class='bx bx-image' ></i> Hotel Cover Image
                  </label>
                  <div class="col-sm-12">
                    <div class="input-group input-group-merge">
                      <div class="input-group mb-3">
                        <input type="file" name="cover" class="form-control" id="cover" accept="image/*" onchange="showPreview(event,'coverPreview');">
                      </div>
                    </div>
                  </div>
                  <div class="col-sm-12">
                    <div class="card border-0">
                      <img  class="img-thumbnail shadow" style="width:100%;margin:auto;object-fit:contain;" id="coverPreview" />
                    </div>
                  </div>
                </div>
              </div>
            </div>
            
            <div class="row">
              <div class="col-md-4">
                <div class="row mb-3">
                  <label class="col-sm-12 col-form-label" for="address">
                    <i class='bx bx-map-pin'></i> Address
                  </label>
                  <div class="col-sm-12">
                    <div class="input-group input-group-merge">
                      <input type="text" class="form-control" id="address" name="address" placeholder="Enter address detail..." />
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-md-4">
                <div class="row mb-3">
                  <label class="col-sm-12 col-form-label" for="city">
                    <i class='bx bx-map-alt'></i> City
                  </label>
                  <div class="col-sm-12">
                    <div class="input-group input-group-merge">
                      <input type="text" class="form-control" id="city" name="city" placeholder="Enter city detail..." />
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-md-4">
                <label for="destination" class="form-label">
                  <i class='bx bx-current-location'></i>&nbsp;Country
                </label>
                <select id="country" name="country" class="select2 form-select form-select-lg" data-allow-clear="true">
                  <option value="">Choose Country</option>
                  <?php foreach ($this->crud->getDataAll('country', 'country_name', 'ASC') as $country): ?>
                    <option value="<?=$country->country_name ?>"><?=$country->country_name ?></option>
                  <?php endforeach; ?>
                </select>
              </div>
            </div>
            
            <div class="row mb-3">
              <div class="col-md-10">
                <div class="row">
                  <label class="col-sm-12 col-form-label" for="amenities">
                    <i class='bx bx-add-to-queue'></i>  Amenities
                  </label>
                  <select id="amenities" name="amenities[]" class="select2 form-select form-select-lg" data-allow-clear="true" multiple>
                    <option value="">Choose Country</option>
                    <?php foreach ($this->crud->getDataAll('amenities', 'name', 'ASC') as $amenities): ?>
                      <option value="<?=$amenities->name ?>"><?=$amenities->name ?></option>
                    <?php endforeach; ?>
                  </select>
                </div>
              </div>
              <div class="col-md-2">
                <label class="col-sm-12 col-form-label" for="amenities">&nbsp;</label>
                <div class="form-check form-check-inline">
                  <button type="button" class="btn btn-secondary w-100" data-bs-toggle="modal" data-bs-target="#saveAmenitiesModal">
                    <i class="bx bx-plus fa-fw"></i> Add
                  </button>
                </div>
              </div>
            </div>
            
            <div class="row mb-3">
              <div class="col-md-6">
                <div class="row mb-3">
                  <label class="col-sm-12 col-form-label" for="room_types">
                    <i class='bx bx-home'></i> Room Types
                  </label>
                  <div class="col-sm-12">
                    <div class="input-group input-group-merge">
                      <input type="text" class="form-control" id="room_types" name="room_types" placeholder="Enter room types detail..." />
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-md-6">
                <div class="row mb-3">
                  <label class="col-sm-12 col-form-label" for="ratings">
                    <i class='bx bx-star'></i> Ratings
                  </label>
                  <div class="col-sm-12">
                    <div class="input-group input-group-merge">
                      <div class="full-star-ratings" data-rateyo-full-star="true"></div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="nav-align-top mt-4">
              <ul class="nav nav-pills mb-3 bgGrey" role="tablist">
                <li class="nav-item">
                  <button type="button" class="nav-link active" role="tab" data-bs-toggle="tab" data-bs-target="#navs-overview" aria-controls="navs-overview" aria-selected="false"><i class='bx bx-align-left fa-fw' ></i>  Overview</button>
                </li>
                <li class="nav-item">
                  <button type="button" class="nav-link" role="tab" data-bs-toggle="tab" data-bs-target="#navs-seo" aria-controls="navs-seo" aria-selected="false"><i class='bx bx-globe fa-fw' ></i> SEO</button>
                </li>
              </ul>
              <div class="tab-content p-0 border-0 mb-5">
                <div class="tab-pane fade show active" id="navs-overview" role="tabpanel">
                  <div class="row mb-3">
                    <div class="col-sm-12">
                      <textarea class="form-control w-100 editor" id="overview" name="overview" placeholder="Enter overview..." aria-label="overview" aria-describedby="overview"></textarea>
                    </div>
                  </div>
                </div>
                <div class="tab-pane fade" id="navs-seo" role="tabpanel">
                  <div class="row">
                    <div class="col-md-12">
                      <div class="row mb-3">
                        <label class="col-sm-12 col-form-label" for="seo_title">
                          <i class='bx bx-globe' ></i>  SEO Title
                        </label>
                        <div class="col-sm-12">
                          <div class="input-group input-group-merge">
                            <textarea class="form-control w-100" id="seo_title" name="seo_title" placeholder="Enter SEO Title..." aria-label="seo_title" aria-describedby="seo_title"></textarea>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="row">
                    <div class="col-md-12">
                      <div class="row mb-3">
                        <label class="col-sm-12 col-form-label" for="seo_description">
                          <i class='bx bx-globe' ></i>  SEO Description
                        </label>
                        <div class="col-sm-12">
                          <div class="input-group input-group-merge">
                            <textarea class="form-control w-100" id="seo_description" name="seo_description" placeholder="Enter SEO Description..." aria-label="seo_description" aria-describedby="seo_description"></textarea>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="row">
                    <div class="col-md-12">
                      <div class="row mb-3">
                        <label class="col-sm-12 col-form-label" for="seo_keyword">
                          <i class='bx bx-globe' ></i>  Tags
                        </label>
                        <div class="col-sm-12">
                          <div class="input-group input-group-merge">
                            <input type="text" class="form-control w-100" id="seo_keyword" name="seo_keyword" placeholder="Enter Tags..." aria-label="seo_keyword" aria-describedby="seo_keyword" />
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="d-flex justify-content-between">
              <button type="submit" class="btn btn-success btn-lg w-25">
                <i class='bx bxs-save' ></i> Save Hotel
              </button>
              <button type="reset" class="btn btn-secondary btn-lg w-25">
                <i class='bx bx-redo' ></i> Reset
              </button>
            </div>
            <?=form_close() ?>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!--/ Card layout -->
</div>
<!-- / Content -->
