<!-- Content -->
<div class="container-xxl flex-grow-1 container-p-y">
  <!-- Card layout -->
  <div class="row mb-5">
    <div class="col-12 mb-3">
      <div class="nav-align-top">
        <ul class="nav nav-tabs" role="tablist">
          <li class="nav-item">
            <button type="button" class="nav-link active" role="tab" data-bs-toggle="tab" data-bs-target="#navs-top-add" aria-controls="navs-top-add" aria-selected="false">
              <i class="menu-icon tf-icons bx bx-edit"></i> Edit Feed
            </button>
          </li>
          <li class="nav-item">
            <a href="<?=base_url('admin/manageFeeds.php')?>" class="nav-link">
              <i class="menu-icon tf-icons bx bx-share-alt"></i> Manage Feeds
            </a>
          </li>
        </ul>
        <div class="tab-content" id="tab-content-box">
          <div class="tab-pane fade show active" id="navs-top-add" role="tabpanel">
            <?=form_open_multipart(base_url('admin/updateFeed.php')) ?>
            
            <div class="row">
              <div class="col-md-8">
                <div class="row mb-3">
                  <label class="col-sm-12 col-form-label" for="title">
                    <i class='bx bx-rename'></i>  Feed Title
                  </label>
                  <div class="col-sm-12">
                    <div class="input-group input-group-merge">
                      <input type="text" class="form-control" id="title" name="title" value="<?=$feedDetails->title ?>" placeholder="Enter feed title..." required />
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-md-4">
                <div class="row mb-3">
                  <label for="typeMedia" class="col-sm-12 col-form-label">
                    <i class='bx bx-rss'></i>&nbsp;Post Type
                  </label>
                  <div class="col-sm-12">
                    <input type="text" id="typeMedia" name="type" class="form-control bg-secondary text-white" value="<?=$feedDetails->type ?>" readonly  />
                  </div>
                </div>
              </div>
            </div>
            
            
              <?php if ($feedDetails->type == 'text'): ?>
                <div class="row mb-3">
                  <label class="col-sm-12 col-form-label" for="content">
                    <i class='bx bx-text' ></i> Content
                  </label>
                  <div class="col-sm-12">
                    <textarea class="form-control w-100 editor" id="content" name="content" placeholder="Enter content..." aria-label="content" aria-describedby="content"><?=$feedDetails->content ?></textarea>
                  </div>
                </div>
              <?php endif; ?>
              <?php if ($feedDetails->type == 'photo'): ?>
                <div class="row mb-3">
                  <label class="col-sm-12 col-form-label" for="thumbnail">
                    <i class='bx bx-image' ></i> Upload Photo
                  </label>
                  <div class="col-sm-12">
                    <div class="input-group input-group-merge">
                      <div class="input-group mb-3">
                        <input type="file" name="content" class="form-control" id="thumbnail" accept="image/*" onchange="showPreview(event,'thumbnailPreview');">
                      </div>
                    </div>
                  </div>
                  <div class="col-sm-12">
                    <div class="card border-0">
                      <img class="img-thumbnail shadow" src="<?=base_url($feedDetails->content)?>" style="width:50%;margin:auto;object-fit:contain;" id="thumbnailPreview" />
                    </div>
                  </div>
                </div>
              <?php endif; ?>
              <?php if ($feedDetails->type == 'video'): ?>
                <div class="row mb-3">
                  <label class="col-sm-12 col-form-label" for="thumbnail">
                    <i class='bx bx-video' ></i> Upload Video
                  </label>
                  <div class="col-sm-12">
                    <div class="input-group input-group-merge">
                      <div class="input-group mb-3">
                        <input type="file" name="content" class="form-control" id="thumbnail" accept="video/*" />
                      </div>
                    </div>
                  </div>
                  <div class="col-sm-12">
                    <div class="card border-0">
                      <video class="img-thumbnail shadow" src="<?=base_url($feedDetails->content)?>" style="width:50%;margin:auto;object-fit:contain;" controls muted></video>
                    </div>
                  </div>
                </div>
              <?php endif; ?>
              
            
            
            <div class="d-flex justify-content-between">
              <input type="hidden" name="id" value="<?=$feedDetails->id ?>">
              <button type="submit" class="btn btn-success btn-lg w-25" id="saveFeed">
                <i class='bx bxs-save' ></i> Update Feed
              </button>
              <button type="reset" class="btn btn-secondary btn-lg w-25">
                <i class='bx bx-redo' ></i> Reset
              </button>
            </div>
            
            <?=form_close() ?>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!--/ Card layout -->
</div>
<!-- / Content -->



