<!-- Content -->
<div class="container-xxl flex-grow-1 container-p-y">
  <!-- Card layout -->
  <div class="row mb-5">
    <div class="col-12 mb-3">
      <div class="nav-align-top">
        <ul class="nav nav-tabs" role="tablist">
          <li class="nav-item">
            <button type="button" class="nav-link active" role="tab" data-bs-toggle="tab" data-bs-target="#navs-top-add" aria-controls="navs-top-add" aria-selected="false">
              <i class="menu-icon tf-icons bx bx-edit"></i> Edit&nbsp;<strong><?=$themeDetails->name ?></strong>&nbsp;Theme
            </button>
            <li class="nav-item">
              <a href="<?=base_url('admin/themes.php')?>" class="nav-link">
                <i class="menu-icon tf-icons bx bx-map-alt"></i> All Themes
              </a>
            </li>
          </li>
        </ul>
        <div class="tab-content">
          <div class="tab-pane fade show active" id="navs-top-add" role="tabpanel">
            <?=form_open_multipart(base_url('admin/updateTheme.php')) ?>
            <div class="row">
              <div class="col-md-6">
                <div class="row mb-3">
                  <label class="col-sm-12 col-form-label" for="name">
                    <i class='bx bx-rename'></i>  Theme Name
                  </label>
                  <div class="col-sm-12">
                    <div class="input-group input-group-merge">
                      <input type="text" class="form-control" id="name" name="name" placeholder="Enter  theme name..." onkeyup="theme2u('name')" value="<?=$themeDetails->name ?>" />
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-md-6">
                <div class="row mb-3">
                  <label class="col-sm-12 col-form-label" for="uri">
                    <i class='bx bx-link-external' ></i>  Theme URI
                  </label>
                  <div class="col-sm-12">
                    <div class="input-group input-group-merge">
                      <input type="text" class="form-control" id="uri" name="uri" placeholder="Enter theme uri..." onkeyup="theme2u('uri')" aria-label="uri" aria-describedby="uri" value="<?=$themeDetails->uri ?>" />
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="row mb-3">
              <div class="col-md-6">
                <div class="row mb-3">
                  <label class="col-sm-12 col-form-label" for="title">
                    <i class='bx bx-rename'></i>  Main Heading
                  </label>
                  <div class="col-sm-12">
                    <div class="input-group input-group-merge">
                      <input type="text" class="form-control" id="title" name="title" placeholder="Enter theme page heading..." value="<?=$themeDetails->title ?>" />
                    </div>
                  </div>
                </div>
              </div>
              <?php if ($themeDetails->type == 'destination_theme'): ?>
                <div class="mt-1 col-md-3" id="themeTypeBox">
              <?php else: ?>
                <div class="mt-1 col-md-6" id="themeTypeBox">
              <?php endif; ?>
                <label for="themeType" class="form-label">
                  <i class='bx bx-map-alt'></i>&nbsp;Theme Type
                </label>
                <select id="themeType" name="type" class="select2 form-select form-select-lg" data-allow-clear="true">
                  <option value="independent_theme" <?=($themeDetails->type == 'independent_theme')?'selected':null ?>>Independent Theme</option>
                  <option value="destination_theme" <?=($themeDetails->type == 'destination_theme')?'selected':null ?>>Destination Theme</option>
                </select>
              </div> 
              <?php if ($themeDetails->type == 'destination_theme'): ?>
                <div class="mt-1 col-md-3" id="destinationChooseBox">
                <?php else: ?>
                  <div class="mt-1 col-md-3 hideMe" id="destinationChooseBox">
                  <?php endif; ?>
                  <label for="destination" class="form-label">
                    <i class='bx bx-map-pin'></i>&nbsp;Choose Destination
                  </label>
                  <select id="destination" name="destination" class="select2 form-select form-select-lg" data-allow-clear="true">
                    <option value="not_selected">Choose Destination</option>
                    <?php foreach ($this->crud->getDataAll('destinations', 'name', 'ASC') as $destinationVal): ?>
                      <option value="<?=$destinationVal->uri ?>" <?=($destinationVal->uri == $themeDetails->destination)?'selected':null ?>><?=$destinationVal->name ?></option>
                    <?php endforeach; ?>
                  </select>
                </div>
              </div>
              <div class="row">
                <div class="col-md-6">
                  <div class="row mb-3">
                    <label class="col-sm-12 col-form-label" for="thumbnail">
                      <i class='bx bx-image' ></i>  Thumbnail Image
                    </label>
                    <div class="col-sm-12">
                      <div class="input-group input-group-merge">
                        <div class="input-group mb-3">
                          <input type="file" name="thumbnail" class="form-control" id="thumbnail" accept="image/*" onchange="showPreview(event,'thumbnailPreview');">
                        </div>
                      </div>
                    </div>
                    <div class="col-sm-12">
                      <div class="card border-0">
                        <?php if (!empty($themeDetails->thumbnail)): ?>
                          <img src="<?=base_url($themeDetails->thumbnail)?>" class="img-thumbnail shadow" style="width:100%;margin:auto;object-fit:contain;" id="thumbnailPreview" />
                        <?php else: ?>
                          <img  class="img-thumbnail shadow" style="width:100%;margin:auto;object-fit:contain;" id="thumbnailPreview" />
                        <?php endif; ?>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="row mb-3">
                    <label class="col-sm-12 col-form-label" for="cover">
                      <i class='bx bx-image' ></i>  Cover Image
                    </label>
                    <div class="col-sm-12">
                      <div class="input-group input-group-merge">
                        <div class="input-group mb-3">
                          <input type="file" name="cover" class="form-control" id="cover" accept="image/*" onchange="showPreview(event,'coverPreview');">
                        </div>
                      </div>
                    </div>
                    <div class="col-sm-12">
                      <div class="card border-0">
                        <?php if (!empty($themeDetails->cover)): ?>
                          <img src="<?=base_url($themeDetails->cover)?>" class="img-thumbnail shadow" style="width:100%;margin:auto;object-fit:contain;" id="coverPreview" />
                        <?php else: ?>
                          <img  class="img-thumbnail shadow" style="width:100%;margin:auto;object-fit:contain;" id="coverPreview" />
                        <?php endif; ?>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
              <div class="nav-align-top">
                <ul class="nav nav-pills mb-3 bgGrey" role="tablist">
                  <li class="nav-item">
                    <button type="button" class="nav-link active" role="tab" data-bs-toggle="tab" data-bs-target="#navs-summery" aria-controls="navs-summery" aria-selected="true"><i class='bx bx-align-left' ></i>&nbsp;Summery</button>
                  </li>
                  <li class="nav-item">
                    <button type="button" class="nav-link" role="tab" data-bs-toggle="tab" data-bs-target="#navs-content" aria-controls="navs-content" aria-selected="false"><i class='bx bx-align-left' ></i>&nbsp;Content</button>
                  </li>
                  <li class="nav-item">
                    <button type="button" class="nav-link" role="tab" data-bs-toggle="tab" data-bs-target="#navs-seo" aria-controls="navs-seo" aria-selected="false"><i class='bx bx-globe' ></i>&nbsp;SEO</button>
                  </li>
                </ul>
                <div class="tab-content p-0 border-0 mb-5">
                  <div class="tab-pane fade show active" id="navs-summery" role="tabpanel">
                    <div class="row mb-3">
                      <div class="col-sm-12">
                        <textarea class="form-control editor_basic" id="summery" name="summery" placeholder="Enter courses category summery..." aria-label="summery" aria-describedby="summery"><?=$themeDetails->summery ?></textarea>
                      </div>
                    </div>
                  </div>
                  <div class="tab-pane fade" id="navs-content" role="tabpanel">
                    <div class="row mb-3">
                      <label class="col-sm-12 col-form-label" for="content_title">
                        <i class='bx bx-rename'></i>  Content Heading
                      </label>
                      <div class="col-sm-12">
                        <div class="input-group input-group-merge">
                          <input type="text" class="form-control" id="content_title" name="content_title" placeholder="Enter content heading heading..." value="<?=$themeDetails->content_title ?>" />
                        </div>
                      </div>
                    </div>
                    <div class="row mb-3">
                      <div class="col-sm-12">
                        <textarea class="form-control w-100 editor" id="content" name="content" placeholder="Enter  content..." aria-label="content" aria-describedby="content"><?=$themeDetails->content ?></textarea>
                      </div>
                    </div>
                  </div>
                  <div class="tab-pane fade" id="navs-seo" role="tabpanel">
                    <div class="row">
                      <div class="col-md-12">
                        <div class="row mb-3">
                          <label class="col-sm-12 col-form-label" for="seo_title">
                            <i class='bx bx-globe' ></i>  SEO Title
                          </label>
                          <div class="col-sm-12">
                            <div class="input-group input-group-merge">
                              <textarea class="form-control w-100" id="seo_title" name="seo_title" placeholder="Enter SEO Title..." aria-label="seo_title" aria-describedby="seo_title"><?=$themeDetails->seo_title ?></textarea>
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-md-12">
                        <div class="row mb-3">
                          <label class="col-sm-12 col-form-label" for="seo_description">
                            <i class='bx bx-globe' ></i>  SEO Description
                          </label>
                          <div class="col-sm-12">
                            <div class="input-group input-group-merge">
                              <textarea class="form-control w-100" id="seo_description" name="seo_description" placeholder="Enter SEO Description..." aria-label="seo_description" aria-describedby="seo_description"><?=$themeDetails->seo_description ?></textarea>
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-md-12">
                        <div class="row mb-3">
                          <label class="col-sm-12 col-form-label" for="seo_keyword">
                            <i class='bx bx-globe' ></i>  Tags
                          </label>
                          <div class="col-sm-12">
                            <div class="input-group input-group-merge">
                              <input type="text" class="form-control w-100" id="seo_keyword" name="seo_keyword" placeholder="Enter Tags..." aria-label="seo_keyword" aria-describedby="seo_keyword" value="<?=$themeDetails->seo_keyword ?>" />
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
              <div class="d-flex justify-content-between">
                <input type="hidden" name="tid" value="<?=$themeDetails->id ?>">
                <button type="submit" class="btn btn-success btn-lg w-25">
                  <i class='bx bxs-save' ></i> Update Theme
                </button>
                <button type="reset" class="btn btn-secondary btn-lg w-25">
                  <i class='bx bx-redo' ></i> Reset
                </button>
              </div>
              <?=form_close() ?>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!--/ Card layout -->
  </div>
  <!-- / Content -->
