<!-- Content -->
<div class="container-xxl flex-grow-1 container-p-y">
  <!-- Card layout -->
  <div class="row mb-5">
    <div class="col-12 mb-3">
      <div class="nav-align-top">
        <ul class="nav nav-tabs" role="tablist">
          <li class="nav-item">
            <button type="button" class="nav-link active" role="tab" data-bs-toggle="tab" data-bs-target="#navs-top-add" aria-controls="navs-top-add" aria-selected="false">
              <i class="menu-icon tf-icons bx bx-plus"></i> Edit &nbsp;<strong><?=$tourDetails->name ?></strong>&nbsp; Tour
            </button>
            <li class="nav-item">
              <a href="<?=base_url('admin/tours.php')?>" class="nav-link">
                <i class="menu-icon tf-icons bx bx-trip"></i> All Tours
              </a>
            </li>
          </li>
        </ul>
        <div class="tab-content">
          <div class="tab-pane fade show active" id="navs-top-add" role="tabpanel">
            <?php $i=1; foreach ($this->crud->getDataSingle('tours_itinerary', $tourDetails->tid, 'tid', true) as $itineraryDetails): ?>  
            <?=form_open_multipart(base_url('admin/singleItineraryUpdateForm.php'),['id'=>'singleItineraryUpdateForm'.$itineraryDetails->id]) ?><?=form_close() ?>
            <?php $i++; endforeach; ?>
            <?=form_open_multipart(base_url('admin/updateTour.php')) ?>
            <div class="row mb-3">
              <div class="col-md-6">
                <label for="destination" class="form-label">
                  <i class='bx bx-map-pin'></i>&nbsp;Destination
                </label>
                <select id="destination" name="destination" class="select2 form-select form-select-lg" data-allow-clear="true">
                  <option value="">Choose Destination</option>
                  <?php foreach ($this->crud->getDataAll('destinations', 'name', 'ASC') as $destinationVal): ?>
                    <option value="<?=$destinationVal->uri ?>" <?=($tourDetails->destination == $destinationVal->uri)?'selected':null ?>><?=$destinationVal->name ?></option>
                  <?php endforeach; ?>
                </select>
              </div>
              <div class="col-md-6">
                <?php 
                $themesArr = explode(',', $tourDetails->theme);
                ?>
                <label for="theme" class="form-label">
                  <i class='bx bx-map-alt'></i>&nbsp;Theme
                </label>
                <select id="theme" name="theme[]" class="select2 form-select form-select-lg" data-allow-clear="true" multiple>
                  <option value="">Choose Theme</option>
                  <?php foreach ($this->crud->getDataAll('themes', 'name', 'ASC') as $themeVal): ?>
                    <option value="<?=$themeVal->uri ?>" <?=(in_array($themeVal->uri, $themesArr))?'selected':null ?>><?=$themeVal->name ?></option>
                  <?php endforeach; ?>
                </select>
              </div>
            </div>
            
            <div class="row mb-3">
              <label class="col-sm-12 col-form-label" for="subtitle">
                <i class='bx bx-rename'></i>  Sub-Title
              </label>
              <div class="col-sm-12">
                <div class="input-group input-group-merge">
                  <input type="text" class="form-control" id="subtitle" name="subtitle" placeholder="Enter tour detail page sub title..." value="<?=$tourDetails->subtitle ?>" />
                </div>
              </div>
            </div>
            
            <div class="row">
              <div class="col-md-6">
                <div class="row mb-3">
                  <label class="col-sm-12 col-form-label" for="name">
                    <i class='bx bx-rename'></i>  Tour Name
                  </label>
                  <div class="col-sm-12">
                    <div class="input-group input-group-merge">
                      <input type="text" class="form-control" id="name" name="name" placeholder="Enter tour name..." onkeyup="destination2u('name')" value="<?=$tourDetails->name ?>" />
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-md-6">
                <div class="row mb-3">
                  <label class="col-sm-12 col-form-label" for="uri">
                    <i class='bx bx-link-external' ></i>  Tour URI
                  </label>
                  <div class="col-sm-12">
                    <div class="input-group input-group-merge">
                      <input type="text" class="form-control" id="uri" name="uri" placeholder="Enter tour uri..." onkeyup="destination2u('uri')" aria-label="uri" aria-describedby="uri" value="<?=$tourDetails->uri ?>" />
                    </div>
                  </div>
                </div>
              </div>
            </div>
            
            <div class="row mb-3">
              <div class="col-md-12">
                <label for="faq" class="form-label">
                  <i class='far fa-question-circle'></i>&nbsp;Choose FAQ
                </label>
                <select id="faq" name="faq" class="select2 form-select form-select-lg" data-allow-clear="true">
                  <option value="">Choose Destination</option>
                  <?php foreach ($this->crud->getDataAll('faqs', 'name', 'ASC') as $faqVal): ?>
                    <option value="<?=$faqVal->id ?>" <?=($faqVal->id == $tourDetails->faq)?'selected':null ?>><?=$faqVal->name ?></option>
                  <?php endforeach; ?>
                </select>
              </div>
            </div>
            
            <div class="row">
              <div class="col-md-6">
                <div class="row mb-3">
                  <label class="col-sm-12 col-form-label" for="thumbnail">
                    <i class='bx bx-image' ></i> Tour Thumbnail Image
                  </label>
                  <div class="col-sm-12">
                    <div class="input-group input-group-merge">
                      <div class="input-group mb-3">
                        <input type="file" name="thumbnail" class="form-control" id="thumbnail" accept="image/*" onchange="showPreview(event,'thumbnailPreview');">
                      </div>
                    </div>
                  </div>
                  <div class="col-sm-12">
                    <div class="card border-0">
                      <?php if (!empty($tourDetails->thumbnail)): ?>
                        <img src="<?=base_url($tourDetails->thumbnail) ?>" class="img-thumbnail shadow" style="width:100%;margin:auto;object-fit:contain;" id="thumbnailPreview" />
                      <?php else: ?>
                        <img  class="img-thumbnail shadow" style="width:100%;margin:auto;object-fit:contain;" id="thumbnailPreview" />
                      <?php endif; ?>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-md-6">
                <div class="row mb-3">
                  <label class="col-sm-12 col-form-label" for="cover">
                    <i class='bx bx-image' ></i> Tour Cover Image
                  </label>
                  <div class="col-sm-12">
                    <div class="input-group input-group-merge">
                      <div class="input-group mb-3">
                        <input type="file" name="cover" class="form-control" id="cover" accept="image/*" onchange="showPreview(event,'coverPreview');">
                      </div>
                    </div>
                  </div>
                  <div class="col-sm-12">
                    <div class="card border-0">
                      <?php if (!empty($tourDetails->cover)): ?>
                        <img src="<?=base_url($tourDetails->cover) ?>" class="img-thumbnail shadow" style="width:100%;margin:auto;object-fit:contain;" id="coverPreview" />
                      <?php else: ?>
                        <img  class="img-thumbnail shadow" style="width:100%;margin:auto;object-fit:contain;" id="coverPreview" />
                      <?php endif; ?>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="row mb-3">
              <?php $includedArr = explode(',', $tourDetails->included) ?>
              <label class="col-sm-12 col-form-label" for="subtitle">
                <i class='bx bx-add-to-queue'></i>  Includes / Excludes
              </label>
              <div class="col-sm-12">
                <?php foreach ($this->crud->getDataAll('includes', 'name', 'asc') as $inc): ?>
                  <div class="form-check form-check-inline border px-3 py-2">
                    <input class="form-check-input" type="checkbox" name="included[]" id="<?=getDashedText($inc->name) ?>" value="<?=$inc->name ?>" <?=(in_array($inc->name, $includedArr))?'checked':null ?> />
                    <label class="form-check-label" for="<?=getDashedText($inc->name) ?>"><?=$inc->name ?></label>
                  </div>
                <?php endforeach; ?>
                <div class="form-check form-check-inline">
                  <button type="button" class="btn btn-secondary" data-bs-toggle="modal" data-bs-target="#saveIncludeModal">
                    <i class="bx bx-plus fa-fw"></i> Add More
                  </button>
                </div>
              </div>
            </div>
            
            <div class="row">
              <div class="col-md-6">
                <div class="row mb-3">
                  <label class="col-sm-12 col-form-label" for="duration_day">
                    <i class='bx bx-calendar'></i>  Duration(Day)
                  </label>
                  <div class="col-sm-12">
                    <div class="input-group input-group-merge">
                      <input type="number" class="form-control" id="duration_day" name="duration_day" value="<?=$tourDetails->duration_day ?>" placeholder="Enter tour duration for day..." />
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-md-6">
                <div class="row mb-3">
                  <label class="col-sm-12 col-form-label" for="duration_night">
                    <i class='bx bx-calendar'></i>  Duration(Night)
                  </label>
                  <div class="col-sm-12">
                    <div class="input-group input-group-merge">
                      <input type="number" class="form-control" id="duration_night" name="duration_night" value="<?=$tourDetails->duration_night ?>" placeholder="Enter tour duration for night..." />
                    </div>
                  </div>
                </div>
              </div>
            </div>
            
            <div class="row mb-3">
              <label class="col-sm-12 col-form-label" for="price">
                <i class='bx bx-rupee'></i>  Price
              </label>
              <div class="col-sm-12">
                <div class="input-group input-group-merge">
                  <input type="number" class="form-control" id="price" name="price" placeholder="Enter tour price..." value="<?=$tourDetails->price ?>" />
                </div>
              </div>
            </div>
            
            <div class="nav-align-top mt-4">
              <ul class="nav nav-pills mb-3 bgGrey" role="tablist">
                <li class="nav-item">
                  <button type="button" class="nav-link active" role="tab" data-bs-toggle="tab" data-bs-target="#navs-overview" aria-controls="navs-overview" aria-selected="false"><i class='bx bx-align-left fa-fw' ></i>  Overview</button>
                </li>
                <li class="nav-item">
                  <button type="button" class="nav-link" role="tab" data-bs-toggle="tab" data-bs-target="#navs-tour-plan" aria-controls="navs-tour-plan" aria-selected="false"><i class='bx bx-trip fa-fw' ></i> Tour Plan</button>
                </li>
                <li class="nav-item">
                  <button type="button" class="nav-link" role="tab" data-bs-toggle="tab" data-bs-target="#navs-photo-gallery" aria-controls="navs-photo-gallery" aria-selected="false"><i class='bx bx-images fa-fw' ></i> Photo Gallery</button>
                </li>
                <li class="nav-item">
                  <button type="button" class="nav-link" role="tab" data-bs-toggle="tab" data-bs-target="#navs-seo" aria-controls="navs-seo" aria-selected="false"><i class='bx bx-globe fa-fw' ></i> SEO</button>
                </li>
              </ul>
              <div class="tab-content p-0 border-0 mb-5">
                <div class="tab-pane fade show active" id="navs-overview" role="tabpanel">
                  <div class="row mb-3">
                    <div class="col-sm-12">
                      <textarea class="form-control w-100 editor" id="overview" name="overview" placeholder="Enter overview..." aria-label="overview" aria-describedby="overview"><?=$tourDetails->overview ?></textarea>
                    </div>
                  </div>
                </div>
                <div class="tab-pane fade" id="navs-tour-plan" role="tabpanel">
                  <div class="row mb-3">
                    <div class="col-sm-12">
                      <textarea class="form-control w-100 editor" id="tour-plan" name="tour_plan" placeholder="Enter tour plan..." aria-label="tour-plan" aria-describedby="tour-plan"><?=$tourDetails->tour_plan ?></textarea>
                    </div>
                  </div>
                  <div class="row mb-3">
                    
                    <div class="col-sm-12">
                      
                      <?php $i=1; foreach ($this->crud->getDataSingle('tours_itinerary', $tourDetails->tid, 'tid', true) as $itineraryDetails): ?>  
                        <div class="card my-3" id="itineraryDiv${i}">
                          <div class="card-header bgGrey d-flex justify-content-between px-3">
                            <span>
                              <?=$itineraryDetails->title ?>
                            </span>
                            <div class="btn-group">
                              <button type="submit" form="singleItineraryUpdateForm<?=$itineraryDetails->id ?>" class="btn btn-success btn-sm"><i class="bx bx-save"></i></button>
                              <button type="button" class="btn btn-danger btn-sm" onclick="dc('<?=base_url('admin/deleteSingleItinerary/'.$itineraryDetails->id.'.php')?>')"><i class="bx bx-trash"></i></button>
                            </div>
                          </div>
                          <div class="card-body">
                            
                            <div class="form-group pl-3 my-3">
                              <label for="single_itinerary_title<?=$i ?>">Title:</label>
                              <input type="text" id="single_itinerary_title<?=$i ?>" form="singleItineraryUpdateForm<?=$itineraryDetails->id ?>" class="form-control title" name="single_itinerary_title" value="<?=$itineraryDetails->title ?>" required placeholder="Enter heading...">
                            </div>
                            <div class="form-group">
                              <label for="single_itinerary_content<?=$i ?>">Content:</label>
                              <textarea class="form-control editor" id="single_itinerary_content<?=$i ?>" form="singleItineraryUpdateForm<?=$itineraryDetails->id ?>" name="single_itinerary_content" required placeholder="Enter content..."><?=$itineraryDetails->content ?></textarea>
                              <input type="hidden" form="singleItineraryUpdateForm<?=$itineraryDetails->id ?>" value="<?=$tourDetails->id ?>" name="tourid" />
                              <input type="hidden" form="singleItineraryUpdateForm<?=$itineraryDetails->id ?>" value="<?=$itineraryDetails->id ?>" name="iid" />
                            </div>
                            
                          </div>
                        </div>
                      <?php $i++; endforeach; ?>
                      <div class="col-sm-12 col-form-label bgGrey d-flex justify-content-start mt-3">
                        <button class="btn btn-sm" type="button">
                          <i class='bx bx-map' ></i>  How many days of Itinerary you want to create?
                        </button>
                        <button type="button" class="btn btn-primary btn-sm" onclick="createItinerary()">Create Itinerary</button>
                      </div>
                      <div id="itineraryContainer"></div>
                    </div>
                  </div>
                </div>
                <div class="tab-pane fade" id="navs-photo-gallery" role="tabpanel">
                  <div class="row mb-3">
                    <div class="col-sm-12">
                      <input class="form-control" name="photos[]" type="file" id="photos" multiple>
                    </div>
                    <div class="row" id="photos_previews_box"></div>
                    <div class="row" id="photos_previews_box_saved">
                      <?php foreach ($this->crud->getDataSingle('tours_gallery', $tourDetails->tid, 'tid', true) as $galleryPhoto): ?>
                        <div class="col-md-3 my-3 shadow p-2" style="position:relative;">
                          <button type="button" class="btn btn-danger btn-sm" onclick="dc('<?=base_url('admin/deleteGallerySinglePhoto/'.$galleryPhoto->id.'/'.$tourDetails->id.'.php')?>')" style="z-index: 1;position:absolute;top:0;right:0;">
                            <i class="bx bx-trash"></i>
                          </button>
                          <img src="<?=base_url('upload/tour-gallery/'.$galleryPhoto->photo)?>" alt="<?=$tourDetails->name ?>" class="img-thumbnail">
                        </div>
                      <?php endforeach; ?>
                    </div>
                  </div>
                </div>
                <div class="tab-pane fade" id="navs-seo" role="tabpanel">
                  <div class="row">
                    <div class="col-md-12">
                      <div class="row mb-3">
                        <label class="col-sm-12 col-form-label" for="seo_title">
                          <i class='bx bx-globe' ></i>  SEO Title
                        </label>
                        <div class="col-sm-12">
                          <div class="input-group input-group-merge">
                            <textarea class="form-control w-100" id="seo_title" name="seo_title" placeholder="Enter SEO Title..." aria-label="seo_title" aria-describedby="seo_title"><?=$tourDetails->seo_title ?></textarea>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="row">
                    <div class="col-md-12">
                      <div class="row mb-3">
                        <label class="col-sm-12 col-form-label" for="seo_description">
                          <i class='bx bx-globe' ></i>  SEO Description
                        </label>
                        <div class="col-sm-12">
                          <div class="input-group input-group-merge">
                            <textarea class="form-control w-100" id="seo_description" name="seo_description" placeholder="Enter SEO Description..." aria-label="seo_description" aria-describedby="seo_description"><?=$tourDetails->seo_description ?></textarea>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="row">
                    <div class="col-md-12">
                      <div class="row mb-3">
                        <label class="col-sm-12 col-form-label" for="seo_keyword">
                          <i class='bx bx-globe' ></i>  Tags
                        </label>
                        <div class="col-sm-12">
                          <div class="input-group input-group-merge">
                            <input type="text" class="form-control w-100" id="seo_keyword" name="seo_keyword" placeholder="Enter Tags..." aria-label="seo_keyword" aria-describedby="seo_keyword" value="<?=$tourDetails->seo_keyword ?>" />
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            
            <div class="d-flex justify-content-between">
              <input type="hidden" name="tid" value="<?=$tourDetails->tid ?>">
              <input type="hidden" name="id" value="<?=$tourDetails->id ?>">
              <button type="submit" class="btn btn-success btn-lg w-25">
                <i class='bx bxs-save' ></i> Update Tour
              </button>
              <button type="reset" class="btn btn-secondary btn-lg w-25">
                <i class='bx bx-redo' ></i> Reset
              </button>
            </div>
            
            <?=form_close() ?>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!--/ Card layout -->
</div>
<!-- / Content -->



