<!-- Content -->
<div class="container-xxl flex-grow-1 container-p-y">
  <!-- Card layout -->
  <div class="row mb-5">
    <div class="col-12 mb-3">
      <div class="nav-align-top">
        <ul class="nav nav-tabs" role="tablist">
          <li class="nav-item">
            <button type="button" class="nav-link active" role="tab" data-bs-toggle="tab" data-bs-target="#navs-top-add" aria-controls="navs-top-add" aria-selected="false">
              <i class="menu-icon tf-icons bx bx-edit"></i> Update&nbsp;<strong><?=ucwords(str_replace('-', ' ', $pageDetails->pid)) ?></strong>&nbsp;Page SEO
            </button>
          </li>
        </ul>
        <div class="tab-content">
          <div class="tab-pane fade show active" id="navs-top-add" role="tabpanel">
            <?=form_open_multipart(base_url('admin/updatePageSEO.php')) ?>
            
            <div class="row">
              <div class="col-md-6">
                <div class="row">
                  <div class="col-md-12">
                    <div class="row mb-3">
                      <label class="col-sm-12 col-form-label" for="heading">
                        <i class='bx bx-heading' ></i> Page Heading
                      </label>
                      <div class="col-sm-12">
                        <div class="input-group input-group-merge">
                          <input type="text" class="form-control w-100" id="heading" name="heading" placeholder="Enter page heading..." aria-label="heading" aria-describedby="heading" value="<?=$pageDetails->heading ?>" />
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-md-6">
                <div class="row">
                  <div class="col-md-12">
                    <div class="row mb-3">
                      <label class="col-sm-12 col-form-label" for="sub_heading">
                        <i class='bx bx-heading' ></i> Page Sub-Heading
                      </label>
                      <div class="col-sm-12">
                        <div class="input-group input-group-merge">
                          <input type="text" class="form-control w-100" id="sub_heading" name="sub_heading" placeholder="Enter page sub heading..." aria-label="sub_heading" aria-describedby="sub_heading" value="<?=$pageDetails->sub_heading ?>" />
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            
            <div class="row mb-3">
              <label class="col-sm-12 col-form-label" for="cover">
                <i class='bx bx-image' ></i>  Page Cover Image
              </label>
              <div class="col-sm-12">
                <div class="input-group input-group-merge">
                  <div class="input-group mb-3">
                    <input type="file" name="cover" class="form-control" id="cover" accept="image/*" onchange="showPreview(event,'coverPreview');">
                  </div>
                </div>
              </div>
              <div class="col-sm-12">
                <div class="card border-0">
                  <?php if (!empty($pageDetails->cover)): ?>
                    <img src="<?=base_url($pageDetails->cover)?>" class="img-thumbnail shadow" style="width:100%;margin:auto;object-fit:contain;" id="coverPreview" />
                  <?php else: ?>
                    <img  class="img-thumbnail shadow" style="width:100%;margin:auto;object-fit:contain;" id="coverPreview" />
                  <?php endif; ?>
                </div>
              </div>
            </div>
            
            <div class="row">
              <div class="col-md-12">
                <div class="row mb-3">
                  <label class="col-sm-12 col-form-label" for="seo_title">
                    <i class='bx bx-globe' ></i>  SEO Title
                  </label>
                  <div class="col-sm-12">
                    <div class="input-group input-group-merge">
                      <textarea class="form-control w-100" id="seo_title" name="seo_title" placeholder="Enter SEO Title..." aria-label="seo_title" aria-describedby="seo_title"><?=$pageDetails->seo_title ?></textarea>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-md-12">
                <div class="row mb-3">
                  <label class="col-sm-12 col-form-label" for="seo_description">
                    <i class='bx bx-globe' ></i>  SEO Description
                  </label>
                  <div class="col-sm-12">
                    <div class="input-group input-group-merge">
                      <textarea class="form-control w-100" id="seo_description" name="seo_description" placeholder="Enter SEO Description..." aria-label="seo_description" aria-describedby="seo_description"><?=$pageDetails->seo_description ?></textarea>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-md-12">
                <div class="row mb-3">
                  <label class="col-sm-12 col-form-label" for="seo_keyword">
                    <i class='bx bx-globe' ></i> SEO Tags
                  </label>
                  <div class="col-sm-12">
                    <div class="input-group input-group-merge">
                      <input type="text" class="form-control w-100" id="seo_keyword" name="seo_keyword" placeholder="Enter Tags..." aria-label="seo_keyword" aria-describedby="seo_keyword" value="<?=$pageDetails->seo_keywords ?>" />
                    </div>
                  </div>
                </div>
              </div>
            </div>
            
            
            
            <div class="d-flex justify-content-between">
              <input type="hidden" name="pid" value="<?=$pageDetails->pid ?>">
              <button type="submit" class="btn btn-success btn-lg w-25">
                <i class='bx bxs-save' ></i> Update Page SEO
              </button>
              <button type="reset" class="btn btn-secondary btn-lg w-25">
                <i class='bx bx-redo' ></i> Reset
              </button>
            </div>
            
            <?=form_close() ?>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!--/ Card layout -->
</div>
<!-- / Content -->



