<div class="container mt-4">
  <div class="card">
    <h5 class="card-header shadow m-0 mb-0 p-3 d-flex justify-content-between">
      <p class="mb-0">
        <i class="bx bx-save bx-md"></i> Update <strong><?=$setting->text ?></strong>
      </p>
    </h5>
    <div class="card-body p-5">
      
      <div id="output-status"></div>
      <div class="row">
        <div class="col-md-4">
          <div class="card shadow">
            <div class="card-header">
              <h4>Jump To &nbsp; <i class="fas fa-fw fa-arrow-right"></i></h4>
            </div>
            <div class="card-body">
              <ul class="nav nav-pills flex-column">
                <?php foreach ($this->crud->getDataAll('settings') as $setting): ?>
                  <?php if ($setting->name === $this->uri->segment(3)): ?>
                    <li class="nav-item text-left">
                      <a href="<?=base_url('admin/updateSettings/'.$setting->name.'.php') ?>" class="nav-link justify-content-start showLoader active">
                        <i class="fas fa-fw fa-<?=$setting->icon ?>"></i>&nbsp;<?=$setting->text ?>
                      </a>
                    </li>
                  <?php else: ?>
                    <li class="nav-item text-left">
                      <a href="<?=base_url('admin/updateSettings/'.$setting->name.'.php') ?>" class="nav-link justify-content-start showLoader">
                        <i class="fas fa-fw fa-<?=$setting->icon ?>"></i>&nbsp;<?=$setting->text ?>
                      </a>
                    </li>
                  <?php endif; ?>
                <?php endforeach; ?>
              </ul>
            </div>
          </div>
        </div>
        <div class="col-md-8">
          <?php $settingData = $this->crud->getDataSingle('settings', $this->uri->segment(3), 'name', false) ?>
          <?php if ($settingData->type === 'textarea'){ ?>
            <?=form_open(base_url('admin/saveUpdateSetting.php')) ?>
            <div class="card shadow" id="settings-card">
              <div class="card-header">
                <h4><i class="fas fa-<?=$settingData->icon ?>"></i> <?=$settingData->text ?></h4>
              </div>
              <div class="card-body">
                <p class="text-muted"><?=$settingData->desc ?></p>
                <div class="form-group row align-items-center">
                  <div class="col-12">
                    <textarea class="form-control" rows="5" name="value" id="value"><?=$settingData->value ?></textarea>
                  </div>
                </div>
              </div>
              <div class="border-0 card-footer bg-whitesmoke text-left">
                <input type="hidden" name="sid" value="<?=hashed($settingData->id) ?>">
                <button class="btn showLoader btn-primary btn-lg" id="save-btn"><i class="fas fa-save"></i> Save Changes</button>
              </div>
            </div>
            <?=form_close() ?>
          <?php }else if($settingData->type === 'media'){ ?>
            <?php if ($this->uri->segment(3) === 'websiteLogo'): ?>
              <?=form_open(base_url('admin/uploadLogo.php'), array('enctype'=>'multipart/form-data')) ?>
            <?php else: ?>
              <?=form_open(base_url('admin/uploadMedia.php'), array('enctype'=>'multipart/form-data')) ?>
            <?php endif; ?>
            <div class="card shadow" id="settings-card">
              <div class="card-header">
                <h4><i class="fas fa-<?=$settingData->icon ?>"></i> <?=$settingData->text ?></h4>
              </div>
              <div class="card-body">
                <div class="form-group row align-items-center">
                  <div class="col-12">
                    <div class="mb-3">
                      <label for="site_logo" class="form-label">
                        Choose File <span class="text-muted">(<?=$settingData->desc ?>)</span>
                      </label>
                      <input class="form-control" type="file" id="site_logo" name="site_logo">
                    </div>
                    <div class="form-text text-muted" id="loading">The image must have a maximum size of 5MB</div>
                  </div>
                </div>
                <div class="form-group row align-items-center">
                  <div class="col-12 p-3">
                    <img src="<?=base_url($settingData->value)?>" alt="<?=$settingData->name ?>" id="logo_demo" class="img-thumbnails border p-2">
                  </div>
                </div>
              </div>
              <div class="border-0 card-footer bg-whitesmoke text-left">
                <input type="hidden" name="sid" value="<?=hashed($settingData->id) ?>">
                <button class="btn showLoader btn-primary btn-lg" id="save-btn"><i class="fas fa-save"></i> Update Logo</button>
              </div>
            </div>
            <?=form_close() ?>
          <?php }else if($settingData->type === 'socialLink'){ ?>
            <?php foreach ($this->crud->getDataAll('social_links') as $sl): ?>
              <?=form_open(base_url('admin/updateSocialLink')) ?>
              <div class="form-group row align-items-center">
                <div class="col-12">
                  Update <?=ucwords($sl->name) ?> Link
                </div>
                <div class="col-12">
                  <textarea name="icon" class="form-control summernote-simple" placeholder="Enter icon code"><?=$sl->icon ?></textarea>
                </div>
                <div class="col-6">
                  <input type="text" name="value" value="<?=$sl->link ?>" class="form-control">
                </div>
                <div class="col-4">
                  <select class="form-control selectric" name="status">
                    <option value="show" <?=($sl->status == 'show')?'selected':'' ?>>Show</option>
                    <option value="hide" <?=($sl->status == 'hide')?'selected':'' ?>>Hide</option>
                  </select>
                </div>
                <div class="col-2">
                  <input type="hidden" name="slid" value="<?=hashed($sl->id) ?>">
                  <button type="submit" class="btn showLoader btn-primary btn-block text-center"><i class="fas fa-save"></i></button>
                </div>
              </div>
              <?=form_close() ?>
            <?php endforeach; ?>
          <?php }else{ ?>
            <?=form_open(base_url('admin/saveUpdateSetting.php')) ?>
            <div class="card shadow" id="settings-card">
              <div class="card-header">
                <h4>
                  <?php if ($settingData->icon == 'facebook' || $settingData->icon == 'twitter' || $settingData->icon == 'instagram' || $settingData->icon == 'linkedin'): ?>
                    <i class='fab fa-<?=$settingData->icon ?>'></i> <?=ucwords($setting->text) ?>
                  <?php else: ?>
                    <i class='fas fa-<?=$settingData->icon ?>'></i> <?=ucwords($setting->text) ?>
                  <?php endif; ?>
                </h4>
              </div>
              <div class="card-body">
                <p class="text-muted"><?=$settingData->desc ?></p>
                <div class="form-group row align-items-center">
                  <div class="col-12">
                    <input type="text" name="value" value="<?=$settingData->value ?>" class="form-control" id="value">
                  </div>
                </div>
              </div>
              <div class="border-0 card-footer bg-whitesmoke text-left">
                <input type="hidden" name="sid" value="<?=hashed($settingData->id) ?>">
                <button class="btn showLoader btn-primary btn-lg" id="save-btn"><i class="fas fa-save"></i> Save Changes</button>
              </div>
            </div>
            <?=form_close() ?>
          <?php } ?>
        </div>
        
      </div>
    </div>  
  </div>
</div>

