<!-- Content -->
<div class="container-xxl flex-grow-1 container-p-y">
  <!-- Card layout -->
  <div class="row mb-5">
    <div class="col-12 mb-3">
      <div class="nav-align-top">
        <ul class="nav nav-tabs" role="tablist">
          <li class="nav-item">
            <button type="button" class="nav-link active" role="tab" data-bs-toggle="tab" data-bs-target="#navs-top-add" aria-controls="navs-top-add" aria-selected="false">
              <i class="menu-icon tf-icons bx bx-plus"></i> Edit Teacher
            </button>
          </li>
          <li class="nav-item">
            <a href="<?=base_url('admin/teachersDashboard.php')?>" class="nav-link">
              <i class="menu-icon tf-icons bx bx-group"></i> All Teachers
            </a>
          </li>
          <li class="nav-item">
            <a href="<?=base_url('admin/addTeacher.php')?>" class="nav-link">
              <i class="menu-icon tf-icons bx bx-plus"></i> Add Teacher
            </a>
          </li>
        </ul>
        <div class="tab-content">
          <div class="tab-pane fade show active" id="navs-top-add" role="tabpanel">
            <?=form_open_multipart(base_url('admin/updateTeacher.php')) ?>
            
            <div class="row mb-3">
              <div class="col-md-6">
                <label for="first_name" class="form-label">
                  <i class='bx bx-user'></i>&nbsp;First Name
                </label>
                <input type="text" class="form-control" id="first_name" name="first_name" placeholder="Enter first name" required value="<?= $teacherDetails->first_name ?>" />
              </div>
              <div class="col-md-6">
                <label for="last_name" class="form-label">
                  <i class='bx bx-user'></i>&nbsp;Last Name
                </label>
                <input type="text" class="form-control" id="last_name" name="last_name" placeholder="Enter last name" required value="<?= $teacherDetails->last_name ?>" />
              </div>
            </div>

            <div class="row mb-3">
              <div class="col-md-6">
                <label for="email" class="form-label">
                  <i class='bx bx-envelope'></i>&nbsp;Email
                </label>
                <input type="email" class="form-control" id="email" name="email" placeholder="Enter email" required value="<?= $teacherDetails->email ?>" />
              </div>
              <div class="col-md-6">
                <label for="phone_number" class="form-label">
                  <i class='bx bx-phone'></i>&nbsp;Phone Number
                </label>
                <input type="tel" class="form-control" id="phone_number" name="phone_number" placeholder="Enter phone number" value="<?= $teacherDetails->phone_number ?>" />
              </div>
            </div>

            <div class="row mb-3">
              <label class="col-sm-12 col-form-label" for="address">
                <i class='bx bx-map'></i> Address
              </label>
              <div class="col-sm-12">
                <textarea class="form-control" id="address" name="address" placeholder="Enter address"><?= $teacherDetails->address ?></textarea>
              </div>
            </div>

            <div class="row mb-3">
              <div class="col-md-6">
                <label for="subject_taught" class="form-label">
                  <i class='bx bx-book'></i>&nbsp;Subject Taught
                </label>
                <input type="text" class="form-control" id="subject_taught" name="subject_taught" placeholder="Enter subject taught" required value="<?= $teacherDetails->subject_taught ?>" />
              </div>
              <div class="col-md-6">
                <label for="qualification" class="form-label">
                  <i class='bx bx-graduation'></i>&nbsp;Qualification
                </label>
                <input type="text" class="form-control" id="qualification" name="qualification" placeholder="Enter qualification" required value="<?= $teacherDetails->qualification ?>" />
              </div>
            </div>

            <div class="row mb-3">
              <div class="col-md-6">
                <label for="joining_date" class="form-label">
                  <i class='bx bx-calendar'></i>&nbsp;Joining Date
                </label>
                <input type="date" class="form-control" id="joining_date" name="joining_date" value="<?= $teacherDetails->joining_date ?>" />
              </div>
              <div class="col-md-6">
                <label for="experience_years" class="form-label">
                  <i class='bx bx-time'></i>&nbsp;Experience (in years)
                </label>
                <input type="number" class="form-control" id="experience_years" name="experience_years" placeholder="Enter years of experience" value="<?= $teacherDetails->experience_years ?>" />
              </div>
            </div>

            <div class="row mb-3">
              <div class="col-md-6">
                <label for="gender" class="form-label">
                  <i class='bx bx-user'></i>&nbsp;Gender
                </label>
                <select id="gender" name="gender" class="form-select">
                  <option value="male" <?php echo ($teacherDetails->gender == 'male') ? 'selected' : ''; ?>>Male</option>
                  <option value="female" <?php echo ($teacherDetails->gender == 'female') ? 'selected' : ''; ?>>Female</option>
                  <option value="other" <?php echo ($teacherDetails->gender == 'other') ? 'selected' : ''; ?>>Other</option>
                </select>
              </div>
              <div class="col-md-6">
                <label for="date_of_birth" class="form-label">
                  <i class='bx bx-calendar'></i>&nbsp;Date of Birth
                </label>
                <input type="date" class="form-control" id="date_of_birth" name="date_of_birth" value="<?= $teacherDetails->date_of_birth ?>" />
              </div>
            </div>
            <input type="hidden" name="id" value="<?= $teacherDetails->id ?>">
            <div class="d-flex justify-content-between">
              <button type="submit" class="btn btn-success btn-lg w-25">
                <i class='bx bxs-save'></i> Update Teacher
              </button>
              <button type="reset" class="btn btn-secondary btn-lg w-25">
                <i class='bx bx-redo'></i> Reset
              </button>
            </div>

            <?=form_close() ?>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!--/ Card layout -->
</div>
<!-- / Content -->
