<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title><?=(!empty($seoTitle))?$seoTitle:$this->crud->getSetting('websiteName') ?></title>
  <meta name="description" content="<?=(!empty($seoDesc))?$seoDesc:$this->crud->getSetting('websiteName') ?>" />
  <meta name="keywords" content="<?=(!empty($seoKey))?$seoKey:$this->crud->getSetting('websiteName') ?>" />
  
  <meta property="og:title" content="<?=(!empty($seoTitle))?$seoTitle:$this->crud->getSetting('websiteName') ?>">
  <meta property="og:site_name" content="<?=$this->crud->getSetting('websiteName') ?>">
  <meta property="og:url" content="<?=current_url() ?>">
  <meta property="og:description" content="<?=(!empty($seoDesc))?$seoDesc:$this->crud->getSetting('websiteName') ?>">
  <meta property="og:type" content="website">
  
  <?php if ($pageType == 'static'): ?>
    <?php if (!empty($cover)): ?>
      <meta property="og:image" content="<?=$cover ?>">
    <?php else: ?>
      <meta property="og:image" content="<?=base_url($this->crud->getSetting('websiteLogo'))?>">
    <?php endif; ?>
  <?php endif; ?>
  <?php if ($pageType == 'destination'): ?>
    <?php if (!empty($destinationDetails->thumbnail)): ?>
      <meta property="og:image" content="<?=base_url($destinationDetails->thumbnail)?>">
    <?php endif; ?>
  <?php endif; ?>
  <?php if ($pageType == 'theme'): ?>
    <?php if (!empty($themeDetails->thumbnail)): ?>
      <meta property="og:image" content="<?=base_url($themeDetails->thumbnail)?>">
    <?php endif; ?>
  <?php endif; ?>
  <?php if ($pageType == 'tour'): ?>
    <?php if (!empty($tourDetails->thumbnail)): ?>
      <meta property="og:image" content="<?=base_url($tourDetails->thumbnail)?>">
    <?php endif; ?>
  <?php endif; ?>
  
  <meta name="twitter:card" content="summary">
  <meta name="twitter:site" content="@<?=$this->crud->getSetting('websiteName') ?>">
  <meta name="twitter:title" content="<?=(!empty($seoTitle))?$seoTitle:$this->crud->getSetting('websiteName') ?>">
  <meta name="twitter:description" content="<?=(!empty($seoDesc))?$seoDesc:$this->crud->getSetting('websiteName') ?>">
  
  <?php if ($pageType == 'static'): ?>
    <?php if (!empty($cover)): ?>
      <meta property="twitter:image" content="<?=$cover ?>">
    <?php else: ?>
      <meta property="twitter:image" content="<?=base_url($this->crud->getSetting('websiteLogo'))?>">
    <?php endif; ?>
    
  <?php endif; ?>
  
  <?php if ($pageType == 'destination'): ?>
    <?php if (!empty($destinationDetails->thumbnail)): ?>
      <meta property="twitter:image" content="<?=base_url($destinationDetails->thumbnail)?>">
    <?php endif; ?>
  <?php endif; ?>
  <?php if ($pageType == 'tour'): ?>
    <?php if (!empty($tourDetails->thumbnail)): ?>
      <meta property="twitter:image" content="<?=base_url($tourDetails->thumbnail)?>">
    <?php endif; ?>
  <?php endif; ?>
  
  <?php 
  $seoTagsString = (!empty($seoKey))?$seoKey:$this->crud->getSetting('websiteName'); 
  $seoTagsArr = explode(',', $seoTagsString);
  ?>
  <?php foreach ($seoTagsArr as $seoTag): ?>
    <meta property="article:tag" content="<?=$seoTag ?>">
  <?php endforeach; ?>
  
  <link rel="canonical" href="<?=current_url() ?>">
  <link rel="icon" href="<?=base_url('favicon.png')?>" type="image/icon" sizes="14x14">
  
  <link rel="preconnect" href="https://fonts.gstatic.com/">
  <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800&amp;display=swap" rel="stylesheet">
  <link href="<?=base_url('theme/')?>css/bootstrap.min.css" rel="stylesheet">
  <link href="<?=base_url('theme/')?>css/style.css" rel="stylesheet">
  <link href="<?=base_url('theme/')?>css/vendors.css" rel="stylesheet">
  <link rel="stylesheet" type="text/css" href="<?=base_url('theme/')?>css/blog.css">
  <!-- REVOLUTION SLIDER CSS -->
  <link rel="stylesheet" type="text/css" href="<?=base_url('theme/')?>revolution-slider/fonts/font-awesome/css/font-awesome.css">
  <link rel="stylesheet" type="text/css" href="<?=base_url('theme/')?>revolution-slider/css/settings.css">
  <link rel="stylesheet" type="text/css" href="<?=base_url('theme/')?>revolution-slider/css/layers.css">
  <link rel="stylesheet" type="text/css" href="<?=base_url('theme/')?>revolution-slider/css/navigation.css">
</head>

<body>
  
  <div id="page">
    
    
    
    
    <header class="header menu_fixed">
      <div id="logo">
        <a href="<?=base_url()?>">
          <img src="<?=base_url($this->crud->getSetting('websiteLogo'))?>" width="150" height="66" alt="<?=$this->crud->getSetting('websiteName') ?>" class="logo_normal">
          <img src="<?=base_url($this->crud->getSetting('websiteLogo'))?>" width="150" height="66" alt="<?=$this->crud->getSetting('websiteName') ?>" class="logo_sticky">
        </a>
      </div>
      
      <a href="#menu" class="btn_mobile">
        <div class="hamburger hamburger--spin" id="hamburger">
          <div class="hamburger-box">
            <div class="hamburger-inner"></div>
          </div>
        </div>
      </a>
      <nav id="menu" class="main-menu">
        <ul>
          <li><span><a href="<?=base_url()?>">Home</a></span></li>
          <li><span><a href="<?=base_url('tour.php')?>">Tours Packages</a></span>
            <ul>
              <?php foreach ($this->crud->getAllThemes() as $headerTheme): ?>
                <li><a href="<?=base_url('tour.php?q=&c[]='.$headerTheme->uri)?>"><?=ucwords($headerTheme->name) ?></a></li>
              <?php endforeach; ?>
            </ul>
          </li>
          <li><span><a href="<?=base_url('about-us.php')?>">About Us</a></span></li>
          <li><span><a href="<?=base_url('blog.php')?>">Blog</a></span></li>
          <li><span><a href="<?=base_url('contact-us.php')?>">Contact Us</a></span></li>
          <li>
            <span>
              <button type="button" class="btn_1 p-0 p-2" data-bs-toggle="modal" data-bs-target="#BookingModal"> Book Now </button>
            </span>
          </li>
        </ul>
      </nav>
    </header>
    <!-- /header -->